ruby-mixlib-log_1.7.1-1_all.deb


Advertisement

Description

ruby-mixlib-log - Simple Ruby mixin for creating a logger object

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name ruby-mixlib-log
Package version 1.7.1
Package release 1
Package architecture all
Package type deb
Installed size 31 B
Download size 6.71 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
ruby-mixlib-log_1.7.1-1_all.deb 1.7.1 all Debian Main
ruby-mixlib-log - - -

Requires

Name Value
ruby -
ruby-interpreter -

Download

Type URL
Binary Package ruby-mixlib-log_1.7.1-1_all.deb
Source Package ruby-mixlib-log

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-mixlib-log deb package:
    # sudo apt-get install ruby-mixlib-log

Files

Path
/usr/lib/ruby/vendor_ruby/mixlib/log.rb
/usr/lib/ruby/vendor_ruby/mixlib/log/formatter.rb
/usr/lib/ruby/vendor_ruby/mixlib/log/version.rb
/usr/share/doc/ruby-mixlib-log/README.md
/usr/share/doc/ruby-mixlib-log/changelog.Debian.gz
/usr/share/doc/ruby-mixlib-log/copyright
/usr/share/rubygems-integration/all/specifications/mixlib-log-1.7.1.gemspec

Changelog

2016-09-19 - Antonio Terceiro <terceiro@debian.org>
ruby-mixlib-log (1.7.1-1) unstable; urgency=medium
[ C├ędric Boutillier ]
* Bump debhelper compatibility level to 9
* Use https:// in Vcs-* fields
* Run wrap-and-sort on packaging files
* Use new default gem2deb Rakefile to run the tests
[ Antonio Terceiro ]
* New upstream version 1.7.1
- drop patch for rspec 3 compatibility, not needed anymore
* update packaging with new run of `dh-make-ruby -w`
- Bump Standards-Version to 3.9.8 (no changes needed)
- update homepage
- update debian/ruby-mixlib-log.docs due to renaming of README.rdoc to
README.md
2015-06-13 - Antonio Terceiro <terceiro@debian.org>
ruby-mixlib-log (1.6.0-1) unstable; urgency=medium
* Team upload.
* New upstream release
* Remove old transitional packages (Closes: #735708)
* update packaging files with `dh-make-ruby --overwrite` + meld
* add 0001-log_spec-make-it-compatible-with-rspec-3.patch, which does what
it says on the tin.
2012-06-27 - Paul van Tilburg <paulvt@debian.org>
ruby-mixlib-log (1.4.1-1) unstable; urgency=low
* New upstream release.
* debian/control:
- Bumped standards-version to 3.9.3.
- Bumped the build-dependency on gem2deb to >= 0.3.0~.
* debian/patches: dropped patch 001-require-explicit-rspec.patch; applied
upstream. 
2011-09-28 - Praveen Arimbrathodiyil <pravi.a@gmail.com>
ruby-mixlib-log (1.3.0-1) unstable; urgency=low
* Transition to gem2deb. (Closes :#643616)
* Use github tarballs instead of gem for tests.
* Add myself to uploaders.
* Add explicit require 'rspec' to make tests run (patch).
* Override duplicate description for transitional packages.
2010-02-28 - Joshua Timberman <joshua@opscode.com>
libmixlib-log-ruby (1.1.0-1) unstable; urgency=low
* New upstream release.
* fixes log level setting.
* fix logger and level pseudo accessors.
* Drop 'v' from git tag version.
* Split upstream authors and copyright.
2009-06-19 - Bryan McLellan <btm@loftninjas.org>
libmixlib-log-ruby (1.0.3-2) unstable; urgency=low
* Bump standards version to 3.8.2
* Move ruby-pkg-tools to build-depends
2009-05-19 - Bryan McLellan <btm@loftninjas.org>
libmixlib-log-ruby (1.0.3-1) unstable; urgency=low
* Initial release (Closes: #529533)

See Also

Package Description
ruby-mixlib-shellout_2.2.6-1_all.deb mixin library for subprocess management, output collection
ruby-mixlib-versioning_1.1.0-1_all.deb Ruby library to parse, compare and manipulate version strings
ruby-mizuho_0.9.20+dfsg-1_all.deb documentation formatting tool
ruby-mmap2_2.2.7-1+b2_amd64.deb Mmap class implement memory-mapped file objects for Ruby 2.x
ruby-mobile-fu_1.4.0+github-1_all.deb detect mobile requests from mobile devices in your Rails app
ruby-mocha-doc_1.7.0-1_all.deb Mocking and stubbing library for Ruby - documentation
ruby-mocha_1.7.0-1_all.deb Mocking and stubbing library for Ruby
ruby-model-tokenizer_1.0.1-1_all.deb Random token generator for Rails models
ruby-molinillo_0.6.4-1_all.deb generic dependency resolution algorithm
ruby-moneta_1.0.0-3_all.deb Ruby interface to multiple key/value stores
ruby-mongo_2.5.1-1_all.deb Ruby driver for MongoDB
ruby-mono-logger_1.1.0-3_all.deb lock-free logger for Ruby
ruby-mousetrap-rails_1.4.6-6_all.deb integrate Mousetrap javascript library with Rails Asset Pipeline
ruby-mp3tag_1.0-12_all.deb Ruby library for manipulating ID3V1.1 tags in MP3
ruby-mpi_0.3.0-1+b9_amd64.deb Ruby binding of MPI
Advertisement
Advertisement